# Uses of Interface
org.eclipse.compare.ICompareFilter

Packages that use ICompareFilter
Package
Description
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.

## Uses of ICompareFilter in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer with parameters of type ICompareFilter
Modifier and Type
Method
Description
`boolean`
StructureCreator.`contentsEquals(Object node1, char contributor1, Object node2, char contributor2, boolean ignoreWhitespace, ICompareFilter[] compareFilters)`
Returns true if the two nodes are equal for comparison purposes.